using Otter;

namespace KellysMarvelousAdventure.entities
{
    class Bed : Entity
    {
        private Spritemap<string> _spriteMap;

        public Bed(float x, float y)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.BED, 32, 64);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 3, 3 });
            _spriteMap.Play("main");
            Graphic = _spriteMap;
            Layer = -1;
        }
    }
}
